--- libarchive/archive_read_disk_posix.c
+++ libarchive/archive_read_disk_posix.c
@@ -93,6 +93,10 @@
 #include <sys/ioctl.h>
 #endif
 
+#if defined(__sgi)
+# define dirfd(dirp) ((dirp)->dd_fd)
+#endif
+
 #include "archive.h"
 #include "archive_string.h"
 #include "archive_entry.h"
--- ./tar/util.c.save	Sun Sep  9 19:54:07 2018
+++ ./tar/util.c	Sun Sep  9 22:39:20 2018
@@ -93,8 +93,8 @@
 void
 safe_fprintf(FILE *f, const char *fmt, ...)
 {
-	char fmtbuff_stack[256]; /* Place to format the printf() string. */
-	char outbuff[256]; /* Buffer for outgoing characters. */
+	char fmtbuff_stack[1024]; /* Place to format the printf() string. */
+	char outbuff[1024]; /* Buffer for outgoing characters. */
 	char *fmtbuff_heap; /* If fmtbuff_stack is too small, we use malloc */
 	char *fmtbuff;  /* Pointer to fmtbuff_stack or fmtbuff_heap. */
 	int fmtbuff_length;
--- ./configure.save	Mon Sep 10 19:13:18 2018
+++ ./configure	Mon Sep 10 19:13:58 2018
@@ -16162,7 +16162,7 @@
 
 
 
-for flag in -Wall -Wformat -Wformat-security; do
+for flag in -Wall; do
   as_CACHEVAR=`$as_echo "ax_cv_check_cflags__$flag" | $as_tr_sh`
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether C compiler accepts $flag" >&5
 $as_echo_n "checking whether C compiler accepts $flag... " >&6; }
--- ./libarchive/test/test_read_disk.c.save	Tue Sep 11 00:20:42 2018
+++ ./libarchive/test/test_read_disk.c	Tue Sep 11 00:22:29 2018
@@ -70,6 +70,7 @@
  */
 static const char *zero_groups[] = {
 	"root",   /* Linux */
+	"sys",   /* IRIX */
 	"wheel"  /* BSD */
 };
 #endif
--- libarchive/test/test_read_format_rar.c.save	2018-10-20 23:32:45.054795972 +0200
+++ libarchive/test/test_read_format_rar.c	2018-10-20 23:54:20.017032428 +0200
@@ -730,11 +730,13 @@
                                 "\x08\x74\xde\xec";
   char file2_buff[32618];
   int file2_size = sizeof(file2_buff);
-  const char file2_test_txt[] = "\x00\xee\x78\x00\x00\x4d\x45\x54\x41\x2d\x49"
-                                "\x4e\x46\x2f\x6d\x61\x6e\x69\x66\x65\x73\x74"
-                                "\x2e\x78\x6d\x6c\x50\x4b\x05\x06\x00\x00\x00"
-                                "\x00\x12\x00\x12\x00\xaa\x04\x00\x00\xaa\x7a"
-                                "\x00\x00\x00\x00";
+  const char file2_test_txt[] = { 0x00, 0xee, 0x78, 0x00, 0x00, 0x4d, 0x45,
+                                  0x54, 0x41, 0x2d, 0x49, 0x4e, 0x46, 0x2f,
+                                  0x6d, 0x61, 0x6e, 0x69, 0x66, 0x65, 0x73,
+                                  0x74, 0x2e, 0x78, 0x6d, 0x6c, 0x50, 0x4b,
+                                  0x05, 0x06, 0x00, 0x00, 0x00, 0x00, 0x12,
+                                  0x00, 0x12, 0x00, 0xaa, 0x04, 0x00, 0x00,
+                                  0xaa, 0x7a, 0x00, 0x00, 0x00, 0x00, 0x00 };
   struct archive_entry *ae;
   struct archive *a;
 
